## util-linux 2.25.2

=== debian/changelog ===
util-linux (2.25.2-6) unstable; urgency=medium

  * Add patch to fix `unshare -r` regression.
    - Cherry-picked upstream commit 0bf159413bdb9e32486
      "unshare: Fix --map-root-user to work on new kernels"
    Thanks to Kirill Smelkov (Closes: #780841)

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 30 Mar 2015 00:28:09 +0200

util-linux (2.25.2-5) unstable; urgency=medium

  * Revert "Trigger update of initramfs on upgrades" (Closes: #773354)
  * Revert "Add Breaks: live-tools (<<4.0~alpha17-1)"
    - No longer needed since dropping the update-initramfs call.
  * Fix typo in symlink_to_dir and bump prior-version
    - in other words, fix 2.25.2-4.1 upload. (Closes: #775350)
  * Add Breaks: grml-debootstrap (<< 0.68)
    - previous versions does not work properly with new util-linux which
      always identifies atleast one label for every partition (PARTUUID)
      so lets prevent partial upgrades. (Closes: #772846)

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 03 Feb 2015 20:55:38 +0100

util-linux (2.25.2-4.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add Breaks: live-tools (<<4.0~alpha17-1) (Closes: #773354)

 -- Gaudenz Steinlin <gaudenz@debian.org>  Sun, 01 Feb 2015 13:16:26 +0100

util-linux (2.25.2-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix unhandled symlink_to_dir conversion for
    /usr/share/doc/libblkid-dev (Closes: #775350)

 -- Jonathan Wiltshire <jmw@debian.org>  Sat, 17 Jan 2015 16:17:40 +0000

util-linux (2.25.2-4) unstable; urgency=medium

  [ David Prévot ]
  * Update POT and PO files and clean up .gmo files
  * Update German translation, thanks to Mario Blättermann
  * Update Spanish translation, thanks to Antonio Ceballos Roa
  * Update French translation (Closes: #770506)
  * Update Ukrainian translation, thanks to Yuri Chornoivan
  * Update Brazilian Portuguese translation, thanks to Rafael Ferreira
  * Update Chinese (simplified) translation, thanks to Wylmer Wang
  * Update Danish translation, thanks to Joe Hansen
  * Update Finnish translation, thanks to Lauri Nurmi
  * Update Japanese translation, thanks to Takeshi Hamasaki
  * Update Russian translation, thanks to Pavel Maryanov
  * Trivial unfuzzy

  [ Andreas Henriksson ]
  * Add debian/patches/libblkid-care-about-unsafe-chars-in-cache.patch
    - from upstream git master commit 89e90ae7
      "libblkid: care about unsafe chars in cache"
    - This fixes CVE-2014-9114: blkid command injection
      see https://security-tracker.debian.org/tracker/CVE-2014-9114
    Thanks to Salvatore Bonaccorso (Closes: #771274)
  * libuuid1: add passwd dependency for user migration (Closes: #771092)

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 12 Dec 2014 18:23:24 +0100

util-linux (2.25.2-3) unstable; urgency=medium

  * Ship fstrim timer/service units as examples only (Closes: #767194)
    - this works around #757891 and #767429 / #760168

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 06 Nov 2014 13:54:04 +0100

util-linux (2.25.2-2) unstable; urgency=medium

  * Only ship fstrim service and timer on linux

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 24 Oct 2014 18:57:29 +0200

util-linux (2.25.2-1) unstable; urgency=medium

  * Imported Upstream version 2.25.2
    (Closes: #586179, #765306, #594005, #766077, #764331)
  * Rebase patch queue on top of v2.25.2
    - This drops the following patches now included upstream:
      Report-correct-disk-size-on-GNU-kFreeBSD.-Thanks-Tuc.patch
      remaining-kFreeBSD-hackery-for-building.patch
      2.20.1-1.2.patch
      kFreeBSD-add-hacks-in-ipcrm-to-avoid-FTBFS.patch
      libmount-only-invoke-loopcxt-on-linux.patch
      libmount-only-include-context-on-linux.patch
      build-sys-build-libmount-everywhere.patch
      build-sys-use-lutil-for-BSD-only.patch
      libmount-fix-mnt_is_readonly-ifdef.patch
      flock-zero-timeout-is-valid.patch
      build-sys-check-for-libtoolize-rather-than-libtool.patch
      script-may-be-hangs.patch
  * Ship fstrim service and timer

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 24 Oct 2014 15:46:45 +0200

util-linux (2.25.1-5) unstable; urgency=medium

  * Add debian/patches/build-sys-check-for-libtoolize-rather-than-libtool.patch
    - Cherry-picked from upstream commit e71b0aadaa20b21e9
      "build-sys: check for libtoolize rather than libtool"
    Thanks to Helmut Grohne for fixing this upstream (and more).
    (Closes: #764387)
  * Add debian/patches/script-may-be-hangs.patch
    - Cherry-picked from upstream commit 032228c9af6fbda5177c
      "script: may be hangs" (Closes: #764547)

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 15 Oct 2014 09:19:30 +0200

util-linux (2.25.1-4) unstable; urgency=medium

  [ Sebastian Ramacher ]
  * Use usermod instead of chsh in postinst user migration (Closes: #764244)

  [ Andreas Henriksson ]
  * Use a single usermod call in postinst user migration
  * Silence the attempt to stop uuidd before migration (Closes: #764159)

  [ Helmut Grohne ]
  * Pass -std=gnu99 to CC when cross-building. (Closes: #764392)

  [ Andreas Henriksson ]
  * Add debian/patches/libmount-fix-mnt_is_readonly-ifdef.patch
    - Cherry-picked from upstream commit 473c5fb86c43eed
      "libmount: fix mnt_is_readonly() #ifdef"
    - Fixes Hurd build failure.
    Thanks to Pino Toscano for fixing this upstream! (Closes: #764418)
  * hwclock-set: use both systz and hctosys.
    Thanks to Ben Hutchings for debugging this. (Closes: #764552)
  * Add debian/patches/flock-zero-timeout-is-valid.patch
    - Cherry-picked from upstream commit c4604c38b503c8c46e
      "flock: zero timeout is valid" (Closes: #764660)
  * Trigger update of initramfs on upgrades

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 11 Oct 2014 17:45:20 +0200
