=== debian/control ===
Source: util-linux
Build-Depends: autoconf,
               automake,
               autopoint,
               debhelper (>= 9),
               dh-autoreconf,
               dh-exec (>= 0.13),
               dh-systemd (>= 1.5),
               dpkg-dev (>=1.16.0),
               gettext,
               libncurses5-dev,
               libpam0g-dev,
               libselinux1-dev [linux-any],
               libslang2-dev (>=2.0.4),
               libsystemd-dev [linux-any],
               libtool,
               lsb-release,
               pkg-config,
               po-debconf,
               systemd [linux-any],
               zlib1g-dev
Section: base
Priority: required
Maintainer: Debian util-linux Maintainers <ah-util-linux@debian.org>
Uploaders: Scott James Remnant <scott@ubuntu.com>,
           LaMont Jones <lamont@debian.org>,
           Andreas Henriksson <andreas@fatal.se>,
           Adam Conrad <adconrad@0c3.net>
Standards-Version: 3.9.5
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/pkg-util-linux.git
Vcs-Git: git://git.debian.org/git/collab-maint/pkg-util-linux.git

Package: util-linux
Architecture: any
Section: utils
Essential: yes
Pre-Depends: ${misc:Pre-Depends}, ${shlibs:Depends}
Depends: initscripts, lsb-base (>= 3.0-6), tzdata (>=2006c-2), ${misc:Depends}
Suggests: dosfstools, kbd | console-tools, util-linux-locales
Replaces: bash-completion (<< 1:2.1-3)
Breaks: bash-completion (<< 1:2.1-3), grml-debootstrap (<< 0.68)
Multi-Arch: foreign
Description: Miscellaneous system utilities
 This package contains a number of important utilities, most of which
 are oriented towards maintenance of your system.  Some of the more
 important utilities included in this package allow you to partition
 your hard disk, view kernel messages, and create new filesystems.

Package: util-linux-locales
Architecture: all
Section: localization
Priority: optional
Depends: util-linux (>= ${source:Upstream-Version}), ${misc:Depends}
Replaces: util-linux (<< 2.11b)
Description: Locales files for util-linux
 This package contains the internationalization files of for the util-linux
 package.
 .
 They are needed when you want the programs in util-linux to print their
 messages in other languages than English.

Package: mount
Architecture: linux-any
Essential: yes
Section: admin
Pre-Depends: ${misc:Pre-Depends}, ${shlibs:Depends}
Depends: ${misc:Depends}
Suggests: nfs-common (>=1:1.1.0-13)
Multi-Arch: foreign
Description: Tools for mounting and manipulating filesystems
 This package provides the mount(8), umount(8), swapon(8),
 swapoff(8), and losetup(8) commands.

Package: bsdutils
Architecture: any
Essential: yes
Section: utils
Pre-Depends: ${misc:Pre-Depends}, ${shlibs:Depends}
Depends: ${misc:Depends}
Recommends: bsdmainutils
Multi-Arch: foreign
Description: basic utilities from 4.4BSD-Lite
 This package contains the bare minimum of BSD utilities needed for a
 Debian system: logger, renice, script, scriptreplay, and wall. The
 remaining standard BSD utilities are provided by bsdmainutils.

Package: fdisk-udeb
Architecture: hurd-any linux-any
Priority: extra
Section: debian-installer
Depends: ${misc:Depends}, ${shlibs:Depends}
XC-Package-Type: udeb
XB-Installer-Menu-Item: 99999
Description: Manually partition a hard drive (fdisk)

Package: cfdisk-udeb
Architecture: hurd-any linux-any
Priority: extra
Section: debian-installer
Depends: ${misc:Depends}, ${shlibs:Depends}
XC-Package-Type: udeb
XB-Installer-Menu-Item: 99999
Description: Manually partition a hard drive (cfdisk)

Package: libblkid1
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: block device id library
 The blkid library which allows system programs like fsck and
 mount to quickly and easily find block devices by filesystem UUID and
 LABEL.  This allows system administrators to avoid specifying
 filesystems by hard-coded device names, but via a logical naming
 system instead.

Package: libblkid1-udeb
Architecture: any
Section: debian-installer
Priority: optional
Depends: ${misc:Depends}, ${shlibs:Depends}
XC-Package-Type: udeb
Description: stripped down block device id library, for debian-installer
 The blkid library which allows system programs like fsck and
 mount to quickly and easily find block devices by filesystem UUID and
 LABEL.  This allows system administrators to avoid specifiying
 filesystems by hard-coded device names, but via a logical naming
 system instead.
 .
 This is a minimal package for debian-installer.

Package: libblkid-dev
Architecture: any
Section: libdevel
Priority: optional
Pre-Depends: ${misc:Pre-Depends}
Depends: libblkid1 (= ${binary:Version}),
         libc6-dev | libc-dev,
         uuid-dev,
         ${misc:Depends}
Multi-Arch: same
Description: block device id library - headers and static libraries
 The blkid library which allows system programs like fsck and
 mount to quickly and easily find block devices by filesystem UUID and
 LABEL.  This allows system administrators to avoid specifiying
 filesystems by hard-coded device names, but via a logical naming
 system instead.
 .
 This package contains the development environment for the blkid library.

Package: libmount1
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: device mounting library
 The device mounting library, used by mount and umount helpers.

Package: libmount-dev
Architecture: linux-any
Section: libdevel
Priority: optional
Depends: libc6-dev | libc-dev,
         libmount1 (= ${binary:Version}),
         libblkid-dev,
         ${misc:Depends}
Multi-Arch: same
Description: device mounting library - headers and static libraries
 The device mounting library, used by mount and umount helpers.
 .
 This package contains the development environment for the mount library.

Package: libsmartcols1
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: smart column output alignment library
 The smart column output alignment library, used by fdisk utilities.

Package: libsmartcols1-udeb
Architecture: any
Section: debian-installer
Priority: optional
Depends: ${misc:Depends}, ${shlibs:Depends}
XC-Package-Type: udeb
Description: stripped down smart column output aligment library, for debian-installer
 The smart column output alignment library, used by fdisk utilities.
 .
 This is a minimal package for debian-installer.

Package: libsmartcols-dev
Architecture: any
Section: libdevel
Priority: optional
Depends: libc6-dev | libc-dev,
         libsmartcols1 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: smart column output alignment library - headers and static libraries
 The smart column output alignment library, used by fdisk utilities.
 .
 This package contains the development environment for the mount library.

Package: libuuid1
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: passwd, ${misc:Depends}, ${shlibs:Depends}
Recommends: uuid-runtime
Replaces: e2fsprogs (<< 1.34-1)
Multi-Arch: same
Description: Universally Unique ID library
 The libuuid library generates and parses 128-bit universally unique
 ids (UUIDs).  A UUID is an identifier that is unique across both
 space and time, with respect to the space of all UUIDs.  A UUID can
 be used for multiple purposes, from tagging objects with an extremely
 short lifetime, to reliably identifying very persistent objects
 across a network.
 .
 See RFC 4122 for more information.

Package: uuid-runtime
Architecture: any
Section: utils
Priority: optional
Pre-Depends: libuuid1 (>= 2.25-5~), ${misc:Pre-Depends}
Depends: adduser, passwd, ${misc:Depends}, ${shlibs:Depends}
Replaces: e2fsprogs (<= 1.40.3-1ubuntu1)
Multi-Arch: foreign
Description: runtime components for the Universally Unique ID library
 The libuuid library generates and parses 128-bit universally unique
 ids (UUIDs).  A UUID is an identifier that is unique across both
 space and time, with respect to the space of all UUIDs.  A UUID can
 be used for multiple purposes, from tagging objects with an extremely
 short lifetime, to reliably identifying very persistent objects
 across a network.
 .
 See RFC 4122 for more information.
 .
 This package contains the uuidgen program and the uuidd daemon.
 .
 The uuidd daemon is used to generate UUIDs, especially time-based
 UUID’s, in a secure and guaranteed-unique fashion, even in the face
 of large numbers of threads trying to grab UUID’s running on
 different CPU’s. It is used by libuuid as well as the uuidgen
 program.

Package: libuuid1-udeb
Architecture: any
Section: debian-installer
Priority: optional
Depends: ${misc:Depends}, ${shlibs:Depends}
XC-Package-Type: udeb
Description: stripped down universally unique id library, for debian-installer
 libuuid generates and parses 128-bit universally unique ids (UUIDs).
 See RFC 4122 for more information.
 .
 This is a minimal package for debian-installer.

Package: uuid-dev
Architecture: any
Section: libdevel
Priority: optional
Depends: libc6-dev | libc-dev, libuuid1 (= ${binary:Version}), ${misc:Depends}
Replaces: e2fslibs-dev (<< 1.15)
Multi-Arch: same
Description: universally unique id library - headers and static libraries
 libuuid generates and parses 128-bit universally unique ids (UUIDs).
 See RFC 4122 for more information.
 .
 This package contains the development environment for the uuid library.

Package: util-linux-udeb
Architecture: any
Priority: optional
Section: debian-installer
Depends: ${misc:Depends}, ${shlibs:Depends}
XC-Package-Type: udeb
Description: stripped down miscellaneous system utilities, for debian-installer
 This is a minimal version of util-linux for debian-installer. It only
 contains the blkid binary at the moment.
