## util-linux 2.26.2

=== debian/changelog ===
util-linux (2.26.2-6+devuan1) unstable; urgency=medium

  * Updated to 2.26 upstream
  * Updated debian directory to 2.26.2-6 debian package
  * NMU upload with Andreas' consent / by his request.
  * Using sysvinit-utils (<< 2.88dsf-59.1~) confuses apt during upgrade, so
    use Depends: instead. This isn't technically true, but ensures a robust
    upgrade also from jessie. (Closes: #786469 debian bug)
  * Drop now obsolete purging of fstrim timer unit helper
  * Reclaim /sbin/fdisk on PowerPC
  * Ship mountpoint in util-linux package instead
    - This suits non-linux archs better, since mount is linux-any.
  * Avoid cyclic Breaks in initscripts vs util-linux
  * The "moving in on sysvinit(-utils) turf" release.
  * Make Breaks against cloud-utils versioned
    - cloud-utils 0.27-1 should now be fixed (see #783826 debian bug)
  * mount: ship mountpoint utility (Closes: #753779 debian bug)
  * util-linux: ship sulogin, last, lastb, mesg utilities (Closes: #784566
    debian bug)
  * Update libmount1.symbols for non-linux archs (Closes: #784728 debian bug)
  * Revert mistake in libblkid1 short description (Closes: #784822 debian bug)
  * debian/rules: Add special handling for libfdisk1-udeb
  * Bump libmount1 shlibs to say >= 2.26
  * Add configure flag to make libmount skip /etc/mtab.
    Thanks to Martin Pitt for the suggestion and pointers to background info.
  * Revert "Attempt to avoid dumb term problem in "more: regexp" test"
    - No longer needed since the test now sets TERM itself.
  * Update gbp.conf for 2.26 branches
  * Imported Upstream version 2.26.2
    - this version includes a complete rewrite of sfdisk
    A selection of some other notable fixes:
    - libmount: allow unspecified source on remount (Closes: #772977 debian bug)
    - hwclock: regression fix (Closes: #782726 debian bug)
    - logger: warn when --file and command line message are combined
      (Closes: #467244 debian bug)
    - logger: add hostname to rfc3164 message (Closes: #705217 debian bug)
    - bash-completion: stop being clever when listing block devices
      (Closes: #764488 debian bug)
    - libfdisk: fix partition names on GNU Hurd. (Closes: #769897 debian bug)
    - fsck.minix: fix segmentation fault (Closes: #773892 debian bug)
    - libblkid: (bcache) fix keys usage (Closes: #775374 debian bug)
    - libfdisk: (gpt) check header size before verify CRC (Closes: #780834 debian bug)
    - uuidd: Fixed a typo in daemon logging message (Closes: #766064 debian bug)
    - docs: mention nice(1) in renice(1) manual page (Closes: #260984 debian bug)
    - bash-completion: Invoke actual commands to be completed, not basenames
      (Closes: #769462 debian bug)
  * Rebase debian/patches on top of new upstream release
    - Drop patches cherry-picked from upstream:
      unshare-Fix-map-root-user-to-work-on-new-kernels.patch
      libblkid-care-about-unsafe-chars-in-cache.patch
    - Drop translation updates which should now be part of upstream:
      Trivial-unfuzzy.patch
      Update-Brazilian-Portuguese-translation.patch
      Update-Chinese-simplified-translation.patch
      Update-Danish-translation.patch
      Update-Finnish-translation.patch
      Update-French-translation.patch
      Update-German-translation.patch
      Update-Japanese-translation.patch
      Update-PO-files.patch
      Update-POT-file.patch
      Update-Russian-translation.patch
      Update-Spanish-translation.patch
      Update-Ukrainian-translation.patch
    - Refresh remaining patches:
      Disable-the-fallback-clause-in-hwclock-when-dev-rtc-.patch
      Multiarch-support-in-util-linux-build.patch
      cfdisk.8-mention-slang-next-to-curses.-Closes-295487.patch
      man-page-tweaks-cleanup-my_dev_t.h-ancient-stuff.patch
      verbose-tests.patch
    - Update series file
  * Add po/stamp-po to debian/clean
    - to make sure po/*.gmo actually gets rebuilt
  * Update libmount1.symbols with 11 newly introduced symbols
  * Add libfdisk1, libfdisk-dev and libfdisk-udeb packages
  * Add Breaks on cloud-utils since it uses now-removed sfdisk options.
    - this should be made a versioned breaks once Bug#783826 gets fixed.
  * Add patch to fix `unshare -r` regression.
    - Cherry-picked upstream commit 0bf159413bdb9e32486
      "unshare: Fix --map-root-user to work on new kernels"
    Thanks to Kirill Smelkov (Closes: #780841 debian bug)
  * Revert "Trigger update of initramfs on upgrades" (Closes: #773354 debian bug)
  * Revert "Add Breaks: live-tools (<<4.0~alpha17-1)"
    - No longer needed since dropping the update-initramfs call.
  * Fix typo in symlink_to_dir and bump prior-version
    - in other words, fix 2.25.2-4.1 upload. (Closes: #775350 debian bug)
  * Add Breaks: grml-debootstrap (<< 0.68)
    - previous versions does not work properly with new util-linux which
      always identifies atleast one label for every partition (PARTUUID)
      so lets prevent partial upgrades. (Closes: #772846 debian bug)

 -- Franco (nextime) Lanza <nextime@nexlab.it>  Mon, 25 May 2015 09:25:56 +0200

util-linux (2.25.2-4.1+devuan1) jessie; urgency=medium

  * Import in Devuan
  * debian/*: systemd extirpation

 -- Denis Roio <jaromil@dyne.org>  Sun, 08 Feb 2015 01:03:52 +0000
