=== debian/control ===
--- 
+++ 
@@ -5,40 +5,44 @@
                debhelper (>= 9),
                dh-autoreconf,
                dh-exec (>= 0.13),
-               dh-systemd (>= 1.5),
                dpkg-dev (>=1.16.0),
                gettext,
                libncurses5-dev,
                libpam0g-dev,
                libselinux1-dev [linux-any],
                libslang2-dev (>=2.0.4),
-               libsystemd-dev [linux-any],
                libtool,
                lsb-release,
                pkg-config,
                po-debconf,
-               systemd [linux-any],
                zlib1g-dev
 Section: base
 Priority: required
-Maintainer: Debian util-linux Maintainers <ah-util-linux@debian.org>
-Uploaders: Scott James Remnant <scott@ubuntu.com>,
-           LaMont Jones <lamont@debian.org>,
-           Andreas Henriksson <andreas@fatal.se>,
-           Adam Conrad <adconrad@0c3.net>
+Maintainer: Denis Roio <jaromil@dyne.org>
+Uploaders: Franco Lanza <nextime@devuan.org>
 Standards-Version: 3.9.5
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/pkg-util-linux.git
-Vcs-Git: git://git.debian.org/git/collab-maint/pkg-util-linux.git
+Vcs-Browser: https://git.devuan.org/packages-base/util-linux
+Vcs-Git: https://git.devuan.org/packages-base/util-linux.git
 
 Package: util-linux
 Architecture: any
 Section: utils
 Essential: yes
 Pre-Depends: ${misc:Pre-Depends}, ${shlibs:Depends}
-Depends: initscripts, lsb-base (>= 3.0-6), tzdata (>=2006c-2), ${misc:Depends}
+Depends: initscripts (>= 2.88dsf-59.2~), lsb-base (>= 3.0-6), tzdata (>=2006c-2), ${misc:Depends}
+# conceptually a Breaks:, but confuses apt (#786469)
+ , sysvinit-utils (>> 2.88dsf-59.1~)
 Suggests: dosfstools, kbd | console-tools, util-linux-locales
-Replaces: bash-completion (<< 1:2.1-3)
-Breaks: bash-completion (<< 1:2.1-3), grml-debootstrap (<< 0.68)
+Replaces: bash-completion (<< 1:2.1-4.1~),
+          sysvinit-utils (<< 2.88dsf-59.1~),
+          initscripts (<< 2.88dsf-59.2~),
+          mount (= 2.26.2-3),
+          mount (= 2.26.2-3ubuntu1)
+Breaks: bash-completion (<< 1:2.1-4.1~),
+          grml-debootstrap (<< 0.68),
+          cloud-utils (<< 0.27-1~),
+          mount (= 2.26.2-3),
+          mount (= 2.26.2-3ubuntu1)
 Multi-Arch: foreign
 Description: Miscellaneous system utilities
  This package contains a number of important utilities, most of which
@@ -78,6 +82,8 @@
 Pre-Depends: ${misc:Pre-Depends}, ${shlibs:Depends}
 Depends: ${misc:Depends}
 Recommends: bsdmainutils
+Replaces: bash-completion (<< 1:2.1-4.1~)
+Breaks: bash-completion (<< 1:2.1-4.1~)
 Multi-Arch: foreign
 Description: basic utilities from 4.4BSD-Lite
  This package contains the bare minimum of BSD utilities needed for a
@@ -148,6 +154,45 @@
  system instead.
  .
  This package contains the development environment for the blkid library.
+
+Package: libfdisk1
+Architecture: any
+Section: libs
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Multi-Arch: same
+Description: fdisk partitioning library
+ The libfdisk library is used for manipulating with partition tables.
+ The library is the core of the fdisk, cfdisk and sfdisk tools.
+
+Package: libfdisk1-udeb
+Architecture: any
+Section: debian-installer
+Priority: optional
+Depends: ${misc:Depends}, ${shlibs:Depends}
+XC-Package-Type: udeb
+Description: stripped down fdisk partitioning library, for debian-installer
+ The libfdisk library is used for manipulating with partition tables.
+ The library is the core of the fdisk, cfdisk and sfdisk tools.
+ .
+ This is a minimal package for debian-installer.
+
+Package: libfdisk-dev
+Architecture: any
+Section: libdevel
+Priority: optional
+Pre-Depends: ${misc:Pre-Depends}
+Depends: libfdisk1 (= ${binary:Version}),
+         libc6-dev | libc-dev,
+         libblkid-dev,
+         uuid-dev,
+         ${misc:Depends}
+Multi-Arch: same
+Description: fdisk partitioning library - headers and static libraries
+ The libfdisk library is used for manipulating with partition tables.
+ The library is the core of the fdisk, cfdisk and sfdisk tools.
+ .
+ This package contains the development environment for the fdisk library.
 
 Package: libmount1
 Architecture: any
