## util-linux 2.26.2+really2.25.2

=== debian/changelog ===
util-linux (2.26.2+really2.25.2-6+deb8u2) jessie-security; urgency=medium

  * Non-maintainer upload by the Debian ELTS team.
  * Fix CVE-2024-28085: Escape sequence injection in wall(1).
    (Closes: #1067849)
  * d/rules: Build with --disable-use-tty-group to avoid installing wall(1)
    setgid tty.

 -- Roberto C. Sánchez <roberto@connexer.com>  Wed, 14 Aug 2024 22:57:28 -0400

util-linux (2.26.2+really2.25.2-6+deb8u1) jessie-security; urgency=high

  * Re-upload based 2.25.2-6, not 2.26.2-6.

 -- Chris Lamb <lamby@debian.org>  Fri, 26 Apr 2024 12:36:23 +0100

util-linux (2.26.2-6+deb8u1) jessie-security; urgency=high

  * Non-maintainer upload by the Debian ELTS team.
    - CVE-2021-37600: sys-utils/ipcutils: be careful when call calloc() for
      uint64 nmembs (Closes: #991619)
  * Remove existing debian/gbp.conf.
  * Add debian/.gitlab-ci.yml; allow piuparts and lintian failures.

 -- Chris Lamb <lamby@debian.org>  Fri, 26 Apr 2024 12:36:23 +0100
