=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 CONFOPTS += --enable-raw
 CONFOPTS += --with-selinux
 CONFOPTS += --enable-partx
-CONFOPTS += --without-systemd
+CONFOPTS += --with-systemd
 CONFOPTS += --enable-tunelp
 endif
 
@@ -20,28 +20,26 @@
 CONFOPTS += --disable-silent-rules
 CONFOPTS += --without-python
 
-# never use /etc/mtab, it should be a link to /proc/mounts
-# but in case it isn't - just don't use it, go straight for
-# /proc/self/mountinfo or /proc/mounts.
-CONFOPTS += --enable-libmount-force-mountinfo
-
 # disable utilities shipped by other packages
 # => login
 CONFOPTS += --disable-login
 CONFOPTS += --disable-nologin
 CONFOPTS += --disable-su
 # => sysvinit-utils
-#CONFOPTS += --disable-sulogin
-#CONFOPTS += --disable-last
-#CONFOPTS += --disable-mesg
+CONFOPTS += --disable-sulogin
+CONFOPTS += --disable-last
+CONFOPTS += --disable-mesg
 # => initscripts
-#CONFOPTS += --disable-mountpoint
+CONFOPTS += --disable-mountpoint
 # => procps
 CONFOPTS += --disable-kill
 # => eject
 CONFOPTS += --disable-eject
 # => passwd
 CONFOPTS += --disable-chfn-chsh
+
+# Don't install wall(1) setgid tty, cf. CVE-2024-28085.
+CONFOPTS += --disable-use-tty-group
 
 ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
 	CROSS :=
@@ -50,7 +48,7 @@
 endif
 
 %:
-	dh $@ --with autoreconf
+	dh $@ --with autoreconf,systemd
 
 override_dh_autoreconf:
 	AM_OPTS=--copy LT_OPTS=--copy dh_autoreconf ./autogen.sh
@@ -91,8 +89,7 @@
 	#
 	dh_install \
 		-Nfdisk-udeb -Ncfdisk-udeb -Nlibblkid1-udeb \
-		-Nlibfdisk1-udeb -Nlibsmartcols1-udeb -Nlibuuid1-udeb \
-		-Nutil-linux-udeb
+		-Nlibsmartcols1-udeb -Nlibuuid1-udeb -Nutil-linux-udeb
 	dh_install --remaining-packages
 	#
 	# Install bash-completions only for binaries we ship
@@ -113,6 +110,9 @@
 		fi; \
 	done; \
 	done
+	# Removed these conflicting ones for now, see Bug#755986
+	rm -f debian/util-linux/usr/share/bash-completion/completions/dmesg
+	rm -f debian/bsdutils/usr/share/bash-completion/completions/renice
 	#
 	rm -rf debian/*-udeb/usr/share/doc
 
@@ -141,13 +141,11 @@
 	dh_installpam --package=util-linux --name=runuser-l
 
 override_dh_makeshlibs:
-	dh_makeshlibs -N libsmartcols1 -N libblkid1 -N libfdisk1 -N libuuid1
+	dh_makeshlibs -N libsmartcols1 -N libblkid1 -N libuuid1
 	dh_makeshlibs -plibsmartcols1 -V \
 		--add-udeb=libsmartcols1-udeb
 	dh_makeshlibs -plibblkid1 -V \
-		--add-udeb=libblkid1-udeb 
-	dh_makeshlibs -plibfdisk1 -V \
-		--add-udeb=libfdisk1-udeb
+		--add-udeb=libblkid1-udeb
 	dh_makeshlibs -plibuuid1 -V \
 		--add-udeb=libuuid1-udeb
 
@@ -155,5 +153,5 @@
 	dh_fixperms -i -s -Xusr/bin/wall -Xbin/mount -Xbin/umount
 
 override_dh_auto_test:
-	dh_auto_test || true
+	TERM=xterm dh_auto_test || true
